#
# spec file for package xfsdump (Version 2.2.46)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs e2fsprogs-devel file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libattr-devel libcom_err libgcc libgssapi libmudflap libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xfsprogs xfsprogs-devel zlib zlib-devel


Name:           xfsdump
BuildRequires:  e2fsprogs-devel libattr-devel xfsprogs-devel
Version:        2.2.46
Release:        5.3
AutoReqProv:    on
Group:          System/Filesystems
License:        GPL v2 or later
Url:            http://oss.sgi.com/projects/xfs/
Summary:        Administrative Utilities for the XFS File System
Source0:        xfsdump_%version-1.tar.bz2
Patch0:         xfsdump-%{version}-docdir.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description                                                         
The xfsdump package contains xfsdump, xfsrestore, and a number of other
utilities for administering XFS file systems.

xfsdump examines files in a file system, determines which files need to
be backed up, and copies those files to a specified disk, tape, or
other storage medium.  It uses XFS-specific directives for optimizing
the dump of an XFS file system and also knows how to backup XFS
extended attributes.  Backups created with xfsdump are "endian safe"
and can thus be transferred between Linux machines of different
architectures and also between IRIX machines.

xfsrestore performs the inverse function of xfsdump.  It can restore a
full backup of a file system.  Subsequent incremental backups can then
be layered on top of the full backup.  Single files and directory
subtrees may be restored from full or partial backups.



Authors:
--------
    SGI

%debug_package
%prep
%setup -q
%patch0

%build
%{suse_update_config -f}
export CFLAGS=$RPM_OPT_FLAGS
export DEBUG=-DNDEBUG
aclocal --force
autoconf --force
./configure \
	--prefix=/usr 		\
	--exec-prefix=/ 	\
	--sbindir=/sbin		\
	--bindir=/usr/sbin	\
	--libdir=/%{lib}	\
	--libexecdir=/usr/%{lib}\
	--includedir=/usr/include \
	--mandir=%{_mandir}	\
	--datadir=/usr/share
make %{?jobs:-j%jobs}

%install
DIST_ROOT="$RPM_BUILD_ROOT"
DIST_INSTALL=`pwd`/install.manifest
export DIST_ROOT DIST_INSTALL
/usr/bin/make install DIST_MANIFEST="$DIST_INSTALL"
files()
{
	sort | uniq | awk ' 
$1 == "d" { printf ("%%%%dir %%%%attr(%s,root,root) %s\n", $2, $5); } 
$1 == "f" { if (match ($6, "/usr/share/man") || match ($6, "/usr/share/doc/xfsdump"))
		printf ("%%%%doc ");
	    if (match ($6, "/usr/share/man"))
		printf ("%%%%attr(%s,root,root) %s*\n", $2, $6);
	    else
		printf ("%%%%attr(%s,root,root) %s\n", $2, $6); }
$1 == "l" { if (match ($3, "/usr/share/man") || match ($3, "/usr/share/doc/xfsdump"))
		printf ("%%%%doc ");
	    if (match ($3, "/usr/share/man"))
		printf ("%attr(0777,root,root) %s*\n", $3);
	    else
		printf ("%attr(0777,root,root) %s\n", $3); }'
}
set +x
files < "$DIST_INSTALL" | egrep -v -e "^%%dir.*/sbin$" -e "^%%dir.*/man8$" > files.rpm
set -x

%clean
rm -rf $RPM_BUILD_ROOT

%files -f files.rpm
%defattr(-,root,root,755)

%changelog
* Tue Oct 23 2007 - mmarek@suse.cz
- updated to 2.2.46 (fate #302773)
  * Specify mode on all open(2) calls that use O_CREAT.
  * Change fsr's temp directory mode to 0700 to deny full access.
  * Update fsr's usage text.
  * Fix use of getopt's optopt variable. Thanks to Kouta Ooizumi.
  * Initialize xfsdump's logging facility earlier. Thanks to
  Kouta Ooizumi.
  * Log a message for each quota file restored, not just the first.
  * When using -z, check a file's size against the max dump file
  size just before dumping the file, rather than only during the
  initial scan, to account for changes during the dump.
  * A sync needs to be issued before the first inode scan to avoid
  potentially skipping modified files in an incremental dump.
* Thu Apr 19 2007 - mmarek@suse.cz
- xfs_fsr: create /.fsr with mode 0700 [#266168]
* Thu Dec 21 2006 - mmarek@suse.cz
- updated to 2.2.43 (fate #301391)
  * Change the inode scans to seek to the next inode of
  interest, rather than always doing a full scan. Useful
  for dumps that contain only a subset of the inodes
  in a filesystem (incrementals, subtree dumps, etc.).
  * Produce a more accurate dump size estimate when
  it is worthwhile to do so (when using multiple dump
  streams or when skipping files based on size).
* Tue Nov 14 2006 - mjancar@suse.cz
- submit to SLES10-SP1 (fate# 301391)
* Fri Oct 20 2006 - mjancar@suse.cz
- update to 2.2.42
  * Rework code to remove the DMAPI build and run-time dependency.
  * Fix issues with makedepend on libtool libraries.
  * Fix annoying "ignores datarootdir" warning from configure.
  * Fix issues with makedepend build infrastructure.
  * Fix for parallel compiles, thanks to Robin H. Johnson.
* Thu Jul 27 2006 - mjancar@suse.cz
- update to 2.2.38
  * Performance improvements for dumping subtrees.
  * Fix xfs_fsr memory and file descriptor leaks.
  * Fix xfs_fsr handling some of the extended inode flags
  and fields (like project IDs, extsize, realtime, etc).
  * Fix Debian packaging for libc-dev build dependency.
  * Fix up auto lib64 install detection for x86_64 platforms.
  * Use -O2 optimisation by default now like everywhere else.
  * Default to using a single media file for each strategy.
  Multiple media files can be enabled on tape strategies
  by using the -d option.
  * Fix a bug in restoring multiple links to files with the
  immutable bit set.
  * Fix a regression that caused xfsrestore to fail when
  restoring files that were changing during the dump.
  * Remove some overhead in restoring files that were dumped
  in multiple extent groups (> 16 MiB).
  * Add simple interface to HSM-specific code in xfsrestore,
  similar to that already in xfsdump.
  * Fix fsr mishandling directories given as arguments.
  * Fix build dependency on recent xfsprogs header files.
  * Minor man page fixups with respect to hyphenation.
  * Optimizations to increase the performance of xfsdump and
  xfsrestore, especially on filesystems with millions of inodes.
  Many small changes were made to minimize the number of system
  calls required per inode.
  * Significant changes to xfsdump:
  o Cache the gen number of each inode during the initial inode
  scan so that a bulkstat single does not need to be done for
  each inode when dumping directories.
  o No longer retrieve the DMF attribute when estimating the dump
  size of a file. Use information from the bulkstat instead.
  o Retrieve DMF attribute by handle instead of doing
  open/attr_getf/close.
  o In determining where to split multi-stream dumps, take into
  consideration the number of files and not just the file size.
  This allows filesystems with large amounts of inodes but
  relatively little data (DMF filesystem) to be split correctly.
  * Significant changes to xfsrestore:
  o Buffer writes to the namreg file to eliminate 2 very small
  write system calls per directory entry.
  o Buffer writes to dirattr file to eliminate a small write system
  call per directory.
  o Speedup the check to see if a particular window of the tree
  file is mapped. This allows xfsrestore to use more, smaller
  windows which is beneficial if we can't fit them all in memory
  and have to start unmapping them. This also makes the -w
  option obsolete so that option now has no effect.
  o Change the hash function to give a better distribution among
  the hash buckets.
  o Do not make an unnecessary unlink call if the file being
  restored does not already exist.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 17 2006 - mjancar@suse.cz
- update to 2.2.33
* Thu Sep 29 2005 - dmueller@suse.de
- add norootforbuild
* Tue Aug 02 2005 - mjancar@suse.cz
- update to 2.2.30
* Wed Jun 22 2005 - agruen@suse.de
- xfs-restore-lazy-alloc.diff: Fix for ENOSPC errors on write
  (91036).
* Tue Apr 05 2005 - mmj@suse.de
- static char *progname -> char *progname
* Mon Feb 07 2005 - mjancar@suse.cz
- update to 2.2.25
* Fri Oct 01 2004 - mjancar@suse.cz
- link dynamicaly aganist libuuid (#44531)
* Fri Aug 13 2004 - mjancar@suse.cz
- update to 2.2.21
* Thu Feb 26 2004 - mjancar@suse.cz
- update to 2.2.16
* Fri Aug 08 2003 - ja@suse.cz
- Updated to 2.2.13.
- fix ST/TS tape driver compatibility issues in drive_scsitape.
- fix multiple backups to a single tape (TS AND ST).
* Fri Jun 20 2003 - ja@suse.cz
- Upgrade to version 2.2.12.
* Tue Apr 29 2003 - jderfina@suse.cz
- update to version 2.2.10
- switch from using mktemp to using mkstemp for xfs_copy log.
- use a FHS compliant name for the xfs_copy log file.
- add initial support for TS tape driver.
- fix xfsdump -I option to set correct fsid.
* Wed Feb 12 2003 - jderfina@suse.cz
- update to version 2.2.6
- add initial internationalisation support.
- fix build fallout from macro changes in XFS headers.
* Fri Dec 13 2002 - jderfina@suse.cz
- upgrade to version 2.2.4
* Thu Oct 10 2002 - jderfina@suse.cz
- upgrade to version 2.2.1
* Tue Aug 20 2002 - mge@suse.de
- update to 2.1.3
* Sun Apr 21 2002 - kukuk@suse.de
- Make compile on architectures with lib64
* Tue Feb 26 2002 - ro@suse.de
- update to 2.0.0
* Tue Aug 21 2001 - ro@suse.de
- added xfsprogs attr attr-devel to neededforbuild
* Tue Aug 21 2001 - adostal@suse.cz
- split xfsdump-1.0.9 from package xfsprogs
- use DESTDIR from %%install (...destdir.patch)
- create  ...dirs.patch
